Package org.eclipse.m2m.atl.core.ui.launch

# Class AtlLaunchConfigurationDelegate

java.lang.Object
org.eclipse.debug.core.model.LaunchConfigurationDelegate
org.eclipse.m2m.atl.core.ui.launch.AtlLaunchConfigurationDelegate

All Implemented Interfaces:
  `org.eclipse.debug.core.model.ILaunchConfigurationDelegate`, `org.eclipse.debug.core.model.ILaunchConfigurationDelegate2`

public class AtlLaunchConfigurationDelegate extends org.eclipse.debug.core.model.LaunchConfigurationDelegate
The method "launch" is launched when you click on the button "Run" or "Debug".

## Field Summary

### Fields inherited from class org.eclipse.debug.core.model.LaunchConfigurationDelegate

`complileErrorProjectPromptStatus, complileErrorPromptStatus, promptStatus, saveScopedDirtyEditors, switchToDebugPromptStatus`

## Constructor Summary

Constructors
Constructor
Description
`AtlLaunchConfigurationDelegate()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`convertPath(String path)`
Convert "launch configuration style" paths to EMF uris: ext:path => file:path (file system resource) uri:uri => uri (EMF uri) path => platform:/resource/path (workspace resource) Unchanged paths: platform:/plugin/path (plugin resource) pathmap:path (pathmap resource, e.g.
`static Map<String,String>`
`convertPaths(Map<String,String> modelPaths)`
Convert model map paths.
`static org.eclipse.core.resources.IFile`
`getFileFromModuleName(String moduleName)`
Returns the file matching the given module name.
`void`
`launch(org.eclipse.debug.core.ILaunchConfiguration configuration, String mode, org.eclipse.debug.core.ILaunch launch, org.eclipse.core.runtime.IProgressMonitor monitor)`

### Methods inherited from class org.eclipse.debug.core.model.LaunchConfigurationDelegate

`addReferencedProjects, buildForLaunch, buildProjects, computeBuildOrder, computeReferencedBuildOrder, existsProblems, finalLaunchCheck, getBreakpoints, getBuildOrder, getLaunch, getProjectsForProblemSearch, isLaunchProblem, preLaunchCheck, saveBeforeLaunch`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.debug.core.model.ILaunchConfigurationDelegate

`showCommandLine`

## Constructor Details

### AtlLaunchConfigurationDelegate

public AtlLaunchConfigurationDelegate()

## Method Details

### launch

public void launch(org.eclipse.debug.core.ILaunchConfiguration configuration, String mode, org.eclipse.debug.core.ILaunch launch, org.eclipse.core.runtime.IProgressMonitor monitor) throws org.eclipse.core.runtime.CoreException

Throws:
  `org.eclipse.core.runtime.CoreException`
See Also:
  - `ILaunchConfigurationDelegate.launch(org.eclipse.debug.core.ILaunchConfiguration, java.lang.String, org.eclipse.debug.core.ILaunch, org.eclipse.core.runtime.IProgressMonitor)`

### getFileFromModuleName

public static org.eclipse.core.resources.IFile getFileFromModuleName(String moduleName)
Returns the file matching the given module name.

Parameters:
  `moduleName` - the module name
Returns:
  the file

### convertPaths

public static Map<String,String> convertPaths(Map<String,String> modelPaths)
Convert model map paths.

Parameters:
  `modelPaths` - the model path map
Returns:
  the converted map

### convertPath

public static String convertPath(String path)
Convert "launch configuration style" paths to EMF uris:

- ext:path => file:path (file system resource)
- uri:uri => uri (EMF uri)
- path => platform:/resource/path (workspace resource)

Unchanged paths:

- platform:/plugin/path (plugin resource)
- pathmap:path (pathmap resource, e.g. UML2 profile)

Parameters:
  `path` - the path as created by the launchConfiguration
Returns:
  the converted path